#pragma once
#include "B4RDefines.h"
#include "TFTv2.h"
//~version: 1.00
namespace B4R {
	//~shortname: TFTv2
	class B4RTFTv2 {
		private:
			uint8_t beTFTv2[sizeof(TFT)];
			TFT* driver;
		public:
			void Initialize(Byte Address);
			void TFTInit();
			void setCol(UInt StartCol, UInt EndCol);
			void setPage(UInt StartPage, UInt EndPage);
			void setXY(UInt poX, UInt poY);
			void setPixel(UInt poX, UInt poY, UInt color);
			void fillScreen(UInt XL, UInt XR, UInt YU, UInt YD, UInt color);
			void drawChar(UInt ascii, UInt poX, UInt poY, UInt size, UInt fgcolor);
			void drawString(char *string, UInt poX, UInt poY, UInt size, UInt fgcolor);
			void fillRectangle(UInt poX, UInt poY, UInt length, UInt width, UInt color);
			void drawLine(UInt x0, UInt y0, UInt x1, UInt y1, UInt color);
			void drawVerticalLine(UInt poX, UInt poY, UInt length, UInt color);
			void drawHorizontalLine(UInt poX, UInt poY, UInt length, UInt color);
			void drawRectangle(UInt poX, UInt poY, UInt length, UInt width, UInt color);
			void drawCircle(UInt poX, UInt poY, UInt r, UInt color);
			void fillCircle(UInt poX, UInt poY, UInt r, UInt color);
			void drawTriangle(UInt poX1, UInt poY1, UInt poX2, UInt poY2, UInt poX3, UInt poY3, UInt color);
			UInt drawNumber(UInt long_num, UInt poX, UInt poY, UInt size, UInt fgcolor);
			UInt drawFloat(Double floatnumber, UInt poX, UInt poY, UInt size, UInt fgcolor);
			
	};
}